#include "GMLuaModule.h"

#include <cdll_int.h> 

GMOD_MODULE( Init, Shutdown );

ILuaInterface *gLua = NULL;
IVEngineClient *cengine = NULL;

LUA_FUNCTION ( LocalCommand )
{
	gLua->CheckType(1, GLua::TYPE_STRING);
	cengine->ClientCmd(gLua->GetString(1));
	return 0;
}

int Init(lua_State *L)
{	
	CreateInterfaceFn engineFactory = Sys_GetFactory("engine.dll");
	cengine = (IVEngineClient*)engineFactory(VENGINE_CLIENT_INTERFACE_VERSION, NULL);

	if (!cengine) return 0;

	gLua = Lua();

	gLua->Msg("[Lua Module] 'gmcl_localcommand' successfully loaded.\n");

	gLua->SetGlobal("LocalCommand", LocalCommand);
	
	return 0;
}

int Shutdown(lua_State *L)
{
	return 0;
}